Bug 244185 - www/chromium: [79.0.3945.130] Fails to sync
Summary: www/chromium: [79.0.3945.130] Fails to sync
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-chromium (Nobody)
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-02-17 08:07 UTC by bourne.identity@hotmail.com
Modified: 2020-07-01 18:02 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (chromium)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bourne.identity@hotmail.com 2020-02-17 08:07:17 UTC
I am on FreeBSD 12.1 amd64. Yesterday I installed the chromium package. On starting Chromium, I signed in to my Google account and turned on sync. But the browser failed to sync my passwords/theme/extensions.

Today, I deleted the chromium package. Then I updated my ports tree and built the www/chromium port. But the browser still fails to sync.

To be double sure that this is a FreeBSD issue, I booted into Linux Mint and installed chromium-browser. On turning on sync, the browser immediately synced my passwords/theme/extensions.
Comment 1 Brandon Martin 2020-02-18 18:19:18 UTC
I am seeing the same issue:

Version 79.0.3945.130 (Official Build) (64-bit)

truss output if it is helpful:

https://gist.github.com/codedmart/591954c5e63c8c37c9758df9241acf27
Comment 2 Ulrich Spörlein freebsd_committer 2020-04-12 16:47:05 UTC
Me too, I wonder if it's a problem with the API key used by the FreeBSD project?
Comment 3 Danil Yarantsev 2020-06-06 16:23:46 UTC
I'm having the same issue. Not sure which logs would be useful since chrome://sync-internals is showing all counters at 0

Also there's a forum thread - https://forums.freebsd.org/threads/chrome-sync-not-working.73991
Comment 4 Robert Nagy 2020-06-23 06:37:25 UTC
OpenBSD was suffering from the same issue.
The fix is here:

https://marc.info/?l=openbsd-ports-cvs&m=159289397828827&w=2
Comment 5 commit-hook freebsd_committer 2020-06-26 00:44:14 UTC
A commit references this bug:

Author: jrm
Date: Fri Jun 26 00:43:52 UTC 2020
New revision: 540411
URL: https://svnweb.freebsd.org/changeset/ports/540411

Log:
  www/chromium: Update to 83.0.4103.106 and fix synchronization

  PR:		244185, 246387
  Reported by:	bourne.identity@hotmail.com
  Approved by:	chromium@ (rene), cem
  Obtained from:	Robert Nagy via OpenBSD port
  MFH:		2020Q2
  Security:	https://www.vuxml.org/freebsd/6a5d15b6-b661-11ea-8015-e09467587c17.html
  Differential Revision:	https://reviews.freebsd.org/D25449

Changes:
  head/www/chromium/Makefile
  head/www/chromium/distinfo
  head/www/chromium/files/patch-base_system_sys__info.cc
  head/www/chromium/files/patch-base_system_sys__info__freebsd.cc
  head/www/chromium/files/patch-components_sync__device__info_device__info__sync__bridge.cc
Comment 6 Joseph Mingrone freebsd_committer 2020-06-26 00:55:38 UTC
A fix was applied based on Robert Nagy's work on the OpenBSD port.  Please re-open if necessary.
Comment 7 commit-hook freebsd_committer 2020-06-26 08:44:40 UTC
A commit references this bug:

Author: jrm
Date: Fri Jun 26 08:44:33 UTC 2020
New revision: 540450
URL: https://svnweb.freebsd.org/changeset/ports/540450

Log:
  MFH: r540411

  www/chromium: Update to 83.0.4103.106 and fix synchronization

  PR:		244185, 246387
  Reported by:	bourne.identity@hotmail.com
  Approved by:	ports-secteam (implicit), chromium@ (rene), cem
  Obtained from:	Robert Nagy via OpenBSD port
  Security:	https://www.vuxml.org/freebsd/6a5d15b6-b661-11ea-8015-e09467587c17.html
  Differential Revision:	https://reviews.freebsd.org/D25449

Changes:
_U  branches/2020Q2/
  branches/2020Q2/www/chromium/Makefile
  branches/2020Q2/www/chromium/distinfo
  branches/2020Q2/www/chromium/files/patch-base_system_sys__info.cc
  branches/2020Q2/www/chromium/files/patch-base_system_sys__info__freebsd.cc
  branches/2020Q2/www/chromium/files/patch-components_sync__device__info_device__info__sync__bridge.cc
Comment 8 Ulrich Spörlein freebsd_committer 2020-07-01 15:24:28 UTC
While this update brings back sync, now U2F using security keys crashes the browser again, meaning I can no longer sign in to Google, Github or other sites with a security key
:(